compact1, compact2, compact3
java.time.format

## Enum FormatStyle

- java.lang.Object
- - java.lang.Enum<FormatStyle>
  - - java.time.format.FormatStyle

All Implemented Interfaces:
  Serializable, Comparable<FormatStyle>

    public enum FormatStyle
    extends Enum<FormatStyle>

Enumeration of the style of a localized date, time or date-time formatter.

These styles are used when obtaining a date-time style from configuration. See `DateTimeFormatter` and `DateTimeFormatterBuilder` for usage.

Implementation Requirements:
  This is an immutable and thread-safe enum.
Since:
  1.8

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL` Full text style, with the most detail.
`LONG` Long text style, with lots of detail.
`MEDIUM` Medium text style, with some detail.
`SHORT` Short text style, typically numeric.

### Method Summary

All Methods Static Methods Concrete Methods
`static FormatStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FormatStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL

    public static final FormatStyle FULL

Full text style, with the most detail. For example, the format might be 'Tuesday, April 12, 1952 AD' or '3:30:42pm PST'.

#### LONG

    public static final FormatStyle LONG

Long text style, with lots of detail. For example, the format might be 'January 12, 1952'.

#### MEDIUM

    public static final FormatStyle MEDIUM

Medium text style, with some detail. For example, the format might be 'Jan 12, 1952'.

#### SHORT

    public static final FormatStyle SHORT

Short text style, typically numeric. For example, the format might be '12.13.52' or '3:30pm'.

### Method Detail

#### values

    public static FormatStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FormatStyle c : FormatStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FormatStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null